Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs
shuffle.hpp File Reference

## Classes
struct | ranges::v3::concepts::UniformRandomNumberGenerator
struct | ranges::v3::shuffle_fn

## Namespaces
| ranges::v3
| Protect a callable so that it can be safely used in a bind expression without accidentally becoming a "nested" bind.

## Typedefs
template<typename Gen >
using | ranges::v3::UniformRandomNumberGenerator = concepts::models< concepts::UniformRandomNumberGenerator, Gen >